> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Document

> Move Document. This updates the path on all documents within a given source path to a new destination path, such as when moving documents between folders. Individual document moves should be made through the UpdateDocument operation instead.



## OpenAPI

````yaml /openapi/openapi_content.json put /content/documentlists/{documentListName}/documents/move
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/documentlists/{documentListName}/documents/move:
    put:
      tags:
        - Documents
      summary: Move Document
      description: >-
        Move Document. This updates the path on all documents within a given
        source path to a new destination path, such as when moving documents
        between folders. Individual document moves should be made through the
        UpdateDocument operation instead.
      parameters:
        - description: DocumentListName name where the document resides
          in: path
          name: documentListName
          required: true
          schema:
            type: string
        - description: Source path
          in: query
          name: sourcePath
          schema:
            type: string
        - description: Destination path
          in: query
          name: destPath
          schema:
            type: string
        - description: >-
            Flag to rename file if duplicate filename exists in destination
            (defaults to true)
          in: query
          name: renameDuplicates
          schema:
            default: true
            type: boolean
        - description: >-
            Flag to denote whether to preview move operation or actually perform
            (defaults to false)
          in: query
          name: previewMode
          schema:
            default: false
            type: boolean
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentMoveSummary'
            text/json:
              schema:
                $ref: '#/components/schemas/DocumentMoveSummary'
            text/plain:
              schema:
                $ref: '#/components/schemas/DocumentMoveSummary'
          description: Success
components:
  schemas:
    DocumentMoveSummary:
      description: Summary information for Move operation
      properties:
        destPath:
          nullable: true
          type: string
        duplicateCount:
          format: int64
          type: integer
        messages:
          items:
            type: string
          nullable: true
          type: array
        moveCount:
          format: int64
          type: integer
        preview:
          type: boolean
        renameDuplicates:
          type: boolean
        sourcePath:
          nullable: true
          type: string
        totalCount:
          format: int64
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````